For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Create tokenDev Discord
  • Get started
    • Introduction
    • Authentication
    • API Privacy
    • Exceptions
    • Dev Discord
  • Modules
      • GETGet class ability tree
      • GETGet class ability tree map
      • GETList aspects for a class
  • Changelog
    • v3.7.2 - OAuth2
    • v3.7.1
    • v3.7
    • v3.6 - Fruma Expansion
    • v3.5.2
    • v3.5.1
    • v3.5 - User System
    • v3.4
    • v3.3.4
    • v3.3.3
    • v3.3.2
    • v3.3.1
    • v3.3 - Rekindled World
    • v3.2.5
    • v3.2.4
    • v3.2.3
    • v3.2.2
    • v3.2.1
    • v3.2
    • v3.1
    • v3.0
LogoLogoWynncraft API - Documentation
Create tokenDev Discord
ModulesAbility & Aspect

List aspects for a class

GET
https://api.wynncraft.com/v3/aspects/:tree
GET
/v3/aspects/:tree
$curl https://api.wynncraft.com/v3/aspects/archer
1[
2 {
3 "name": "Example Aspect",
4 "internalName": "example_internal_name",
5 "icon": {
6 "value": {
7 "id": "minecraft:example_item",
8 "name": "abilityTree.exampleAspect",
9 "customModelData": {
10 "rangeDispatch": [
11 100
12 ]
13 }
14 },
15 "format": "attribute"
16 },
17 "rarity": "example_rarity",
18 "requiredClass": "example_class",
19 "tiers": {
20 "1": {
21 "threshold": 1,
22 "description": [
23 "<span class='font-ascii' style='color:#AAAAAA'>Example description for tier one.</span>"
24 ]
25 },
26 "2": {
27 "threshold": 5,
28 "description": [
29 "<span class='font-ascii' style='color:#AAAAAA'>Example description for tier two.</span>"
30 ]
31 },
32 "3": {
33 "threshold": 30,
34 "description": [
35 "<span class='font-ascii' style='color:#AAAAAA'>Example description for tier three.</span>"
36 ]
37 },
38 "4": {
39 "threshold": 150,
40 "description": [
41 "<span class='font-ascii' style='color:#AAAAAA'>Example description for tier four.</span>"
42 ]
43 }
44 }
45 }
46]
<Note> This endpoint is cached for <Badge intent="error" minimal>1 hour</Badge> in the <Badge intent="success" minimal>SHARED</Badge> cache source. See [Caching](/welcome#caching). <Indent></Indent> This endpoint belongs to the <Badge intent="warning" minimal>SHARED</Badge> rate-limit bucket. See [Throttling and Rate Limits](/welcome#throttling-and-rate-limits). </Note> Ability and aspect responses use the [API Markup parser](/welcome#api-markup-parser).
Was this page helpful?
Previous

Get class ability tree map

Next

List classes

Built with

This endpoint is cached for 1 hour in the SHARED cache source. See Caching.

This endpoint belongs to the SHARED rate-limit bucket. See Throttling and Rate Limits.

Ability and aspect responses use the API Markup parser.

Path parameters

treeenumRequired
Allowed values:

Response

Aspect list.
namestring
internalNamestring
iconobject
raritystring
requiredClassstring
tiersmap from strings to objects

Errors

400
Bad Request Error